## com.sun.grizzly.suspendable
Class SuspendableFilter.KeyHandler

    java.lang.Object
      com.sun.grizzly.suspendable.SuspendableFilter.KeyHandler

Enclosing class:
  SuspendableFilter<T>

    protected class SuspendableFilter.KeyHandler

extends Object

Struc to keep state of the current suspended Connection.

Constructor Summary
`protected` `SuspendableFilter.KeyHandler()`

Method Summary
`protected SelectionKey` `getForeignKey()`
`protected SelectionKey` `getKey()`
`protected long` `getRegistrationTime()`
`protected SuspendableFilter.SuspendableHandlerWrapper` `getSuspendableHandler()`
`protected ThreadAttachment` `getThreadAttachment()`
`protected void` `setForeignKey(SelectionKey foreignKey)`
`protected void` `setKey(SelectionKey key)`
`protected void` `setRegistrationTime(long registrationTime)`
`protected void` `setSuspendableHandler(SuspendableFilter.SuspendableHandlerWrapper sh)`
`protected void` `setThreadAttachment(ThreadAttachment threadAttachment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuspendableFilter.KeyHandler

    protected SuspendableFilter.KeyHandler()

Method Detail

### getKey

    protected SelectionKey getKey()

### setKey

    protected void setKey(SelectionKey key)

### getForeignKey

    protected SelectionKey getForeignKey()

### setForeignKey

    protected void setForeignKey(SelectionKey foreignKey)

### getSuspendableHandler

    protected SuspendableFilter.SuspendableHandlerWrapper getSuspendableHandler()

### setSuspendableHandler

    protected void setSuspendableHandler(SuspendableFilter.SuspendableHandlerWrapper sh)

### getThreadAttachment

    protected ThreadAttachment getThreadAttachment()

### setThreadAttachment

    protected void setThreadAttachment(ThreadAttachment threadAttachment)

### getRegistrationTime

    protected long getRegistrationTime()

### setRegistrationTime

    protected void setRegistrationTime(long registrationTime)

Copyright © 2008 SUN Microsystems. All Rights Reserved.